.woocommerce ul.products li.product .woocommerce-loop-product__title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    transition: all 0.3s ease;
    max-height: 3em;
    line-height: 1.2em;
}

.wp-block-woocommerce-cart .wc-block-components-totals-item.wc-block-components-totals-footer-item{
	display: none;
}

.single-product span.onsale {
    left: inherit !important;
    right: 10px;
    top: 30px !important;
    width: 100px;
}

form#contact-form {
    max-width: 600px;
    margin: auto;
     border-radius: 1rem;
 	padding: 20px;
transition: box-shadow 0.3s ease;
}

 
#contact-form-title {
    font-size: 1.8rem;
    margin-bottom: 1.5rem;
    text-align: center;
    color: #222;
}

form#contact-form .form-group {
    margin-bottom: 1.5rem;
}

form#contact-form  label {
    display: block;
    margin-bottom: 0.5rem;
    font-weight: 600;
    color: #444;
}

form#contact-form  input[type="text"],
form#contact-form   input[type="email"],
form#contact-form  select,
form#contact-form  textarea {
    width: 100%;
    padding: 0.75rem 1rem;
    border: 1px solid #ccc;
    border-radius: 0.6rem;
    font-size: 1rem;
    background-color: #fdfdfd;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

form#contact-form  input:focus,
 form#contact-form  select:focus,
form#contact-form  textarea:focus {
    border-color: #3b82f6;
    outline: none;
    box-shadow: 0 0 0 3px rgba(59, 130, 246, 0.3);
}

select:invalid {
    color: #aaa;
}

.wp-block-woocommerce-cart-order-summary-shipping-block.wc-block-components-totals-wrapper {
    display: none !important;
}


form#contact-form .form-help {
    font-size: 0.85rem;
    color: #888;
    margin-top: 0.4rem;
}

form#contact-form button[type="submit"] {
    display: inline-block;
    width: 100%;
    padding: 0.9rem;
    background-color: #C30705;
    color: white;
    border: none;
    border-radius: 0.6rem;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.2s ease;
}

button[type="submit"]:hover {
    background-color: #c30906;
    transform: translateY(-2px);
}

button[type="submit"]:active {
    background-color: #1d4ed8;
    transform: translateY(0);
}
.woocommerce ul.products li.product:hover .woocommerce-loop-product__title {
    -webkit-line-clamp: unset;
    max-height: none;
    white-space: normal;
    overflow: visible;
	    line-height: 1.2em;

}


.skroc5{
	    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
	    text-overflow: ellipsis;
     max-height: 5.7em;
		    line-height: 1.4em;


}


.kafel-opinie:hover .skroc5{
	-webkit-line-clamp: unset;
    max-height: none;
    white-space: normal;
    overflow: visible;
	    line-height: 1.2em;


}


.single-product  del bdi {
  font-size: 16px;
  padding: 10px !important;
	padding-top: 0px !important;
		padding-bottom: 0px !important;

}



.single-product del .price {
  padding: 0px !important;
		padding-top: 0px !important;

}



.single-product del .amount {
  padding: 10px !important;
  margin-bottom: 0px !important;
	padding-bottom: 0px !important;
}

.single-product del  {
    opacity: 1;
 
 
    display: inline-block;
 
    font-size: 16px !important;
 
    margin-bottom: 0px;
}
.grecaptcha-badge {
    display: none !important;
}



.products   li.product .button {
    background: var(--niebieski)  !important;
    border-radius: 30px;
    padding: 10px 20px;
}
.columns-3 .add_to_cart_button{
    background: var(--niebieski) !important;
    border-radius: 30px;
    padding: 10px 20px;
}


.woocommerce.columns-3 ul.products li.product {
    width: 30.75%;
    text-align: center;
}

 

@media screen and (max-width: 911px){
	
	.ngl-sekcja {
    width: 80%;
    margin: auto;
}
	
	.ngl-sekcja img {
    height: 165px !important;
    object-fit: contain !important;
}
	.ngl-sekcja h2 {
    width: 80% !important;
    font-size: 16px !important;
}
    .ikona-wyszukaj.me-4 {
        position: absolute;
        right: inherit;
        left: 90px;
    }
	.znanawysokosc {
    height: 320px !important;
 }
	
	.px{
height: 200px !important}
	
	
	ol.breadcrumb {
    justify-content: center;
    width: 100%;
    margin: auto;
}
	.product .img-fluid{
		padding: 20px;
	}
	
	li.breadcrumb-item {
    font-size: 10px;
    text-align: center;
}
	.lewo {
    display: none;
}
	
	button.menu-toggle {
    position: absolute;
    top: 60px;
}
	
	p.fs-mini2.m-0 {
    text-align: center;
    margin-bottom: 60px !important;
    padding: 0px;
    margin-left: 0px !important;
}
	
	.w-65{
		width: 100% !important
	}
	
	.przerywnik-wpis img {
    position: absolute;
    height: 100%;
    width: 100%;
    object-fit: cover !important;
}
.przerywnik-wpis {
    min-height: 60vh !important;
    height: auto !important;
	 
}
	div#shipping-method {
    flex-direction: column;
}
	
	button.wc-block-components-button.wp-element-button.wc-block-components-checkout-place-order-button.contained {
    width: 100%;
    margin-top: 30px !important;
    text-align: center;
    display: flex
;
    align-items: center;
    justify-content: center;
}
	
	.wc-block-checkout__actions_row {
    flex-direction: column;
    width: 100%;
}
	
}
 